<?php
	//Comenzamos o continuamos la sesion:
	@require_once "../../codigo/sesion.php";

	if (file_exists("../../filtrar_visitas.php")) { include_once "../../filtrar_visitas.php"; }
	else if (file_exists("filtrar_visitas.php")) { include_once "filtrar_visitas.php"; }

	@require_once "../../codigo/email.php";
	@require_once "../../codigo/foro.php";

    @include_once "../../codigo/recoger_get.php";
    @include_once "../../codigo/recoger_post.php";
    @include_once "../../codigo/idioma.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
		<title>Danton 2007 S.L.</title>
		<link rel="stylesheet" type="text/css" href="../../css/estilo.css">
		<?php @include_once "../../codigo/metatags.php"; ?>
	</head>
	<body bgcolor="#000000" text="#ff0000" link="#ffffff" vlink="#ffffff" alink="#ffffff" lefmargin="0" topmargin="0" marginwidth="0" marginheight="0">
        <?php
			$nombre = recoger_post("nombre");
			$email = recoger_post("email");
			$asunto = recoger_post("asunto");
			$contenido = recoger_post("contenido");
	
			$errores = "";

			$enviado = recoger_post("enviado");
			if ($enviado)
			{
				if (!$nombre || $nombre == "") { $errores .= "El campo del nombre es obligatorio<br>"; }
				if (!$email || $email == "") { $errores .= "El campo del E-Mail es obligatorio<br>"; }
				if (!$contenido || $contenido == "") { $errores .= "El campo del contenido es obligatorio<br>"; }	
				if ($email != "" && !validar_email($email)) { $errores .= "El E-Mail introducido no parece v&aacute;lido<br>"; }

				if (trim($errores) != "")
				{
					echo '<center><table align="center" class="mensajes_foro">';
					echo "<tr><td class=\"mensajes_foro\"><b>Se han producido los siguientes errores:</b></td></tr>";
					echo "<tr><td class=\"mensajes_foro\">$errores</td></tr>";
					echo "</table></center><br>";
				}
				else
				{
					$mensaje_enviado = enviar_mensaje($nombre, $email, $asunto, $contenido);
		
					echo '<center><table align="center" class="mensajes_foro"><tr><td class=\"mensajes_foro\">';
		
					if ($mensaje_enviado)
					{
						echo "Se ha enviado correctamente";
					}
					else
					{
						echo "<b>ERROR</b>: No se ha enviado correctamente. Por favor, int&eacute;ntelo enviar m&aacute;s tarde";
					}
		
					echo "</td></tr></table></center><br>";
				}
			}
        ?>

		<center>
		<form method="post" action="foro.php">
			<?php if (SID) { echo '<input type="hidden" name="' . session_name() . '" value="' . session_id() . '">'; } ?>
			<input type="hidden" name="idioma" value="<?php echo $idioma; ?>">
			<input type="hidden" name="enviado" value="si">
			<center>
			<table align="center" cellspacing="0" cellpadding="0" class="formulario">
				<tr>
					<td align="right" class="formulario">Nombre:</td>
					<td class="formulario"><input type="text" name="nombre" value="<?php echo htmlentities($nombre); ?>" class="formulario" size="25" maxlength="50"></td>
				</tr>
				<tr>
					<td align="right">E-Mail:</td>
					<td><input type="text" name="email" value="<?php echo htmlentities($email); ?>" size="25" maxlength="50"></td>
				</tr>
				<tr>
					<td align="right" class="formulario">Asunto:</td>
					<td class="formulario"><input type="text" name="asunto" value="<?php echo htmlentities($asunto); ?>" size="25" class="formulario" maxlength="100"></td>
				</tr>
				<tr>
					<td align="right" valign="top">Contenido:</td>
					<td><textarea name="contenido" cols="22" rows="6"><?php echo htmlentities($contenido); ?></textarea></td>
				</tr>		
				<tr>
					<td colspan="2" align="center">
						<center>
						<br>
						<input type="submit" name="boton" class="boton" value="Enviar">
						</center>
					</td>
				</tr>
			</table>
			</center>
		</form>
		<?php
			mostrar_mensajes();
		?>
		</center>
	</body>
</html>

